.\" (c) 2003 Software in the Public Interest
.\" Esta traducción ha sido realizada por Rubén Porras Campo <nahoo@inicia.es>
.\" Está basada en la página de manual original:
.\" versión 1.3 del CVS de /cvs/debian-doc/manpages/english/modconf/modconf.8

.TH MODCONF 8 "10 de Marzo de 1998" Linux "Soporte de módulos Debian"
.UC 4
.SH NOMBRE
modconf \- utilidad de configuración de módulos
.SH SINOPSIS
.B modconf
[\-\-source [disquete|punto_montaje]]
[\-\-target destino]
[\-\-libdir ruta]
[\-\-restrict\-section sección]*
[\-\-exclude\-section sección]*
[\-\-load\-before módulo]*
[\-\-load\-only módulo]*
[\-\-load\-after módulo]*
.br
.SH DESCRIPCIÓN
.I modconf
es un script para instalar módulos del núcleo en Linux. Puede usarse
interactivamente o desde la línea de órdenes.
.SH OPCIONES
Las opciones de debajo marcadas con un "*" sólo se aplican a un módulo.
Si quiere aplicarlas a más de un módulo, repita la opción en la línea de órdenes.
.TP
.I \-\-source disquetes|punto_montaje
Indica el lugar de donde se obtendrá el módulo. \fBdisquete\fR se usa durante la
instalación de Linux. \fBpunto_montaje\fR se usa en sistemas Linux ya
instalados, es la opción predeterminada.
.TP
.I \-\-target directorio 
Especifica el lugar del sistema donde se encuentran los ficheros 
.I etc/modules
y
.I etc/modules.conf
(/ por omisión), no incluya una "/" al final del nombre del directorio.
.TP
.I \-\-libdir ruta
Indica el lugar del sistema donde se encuentran los ficheros
.I eval
y
.I descr.gz
(/usr/share/modconf por omisión). 
No incluya una "/" al final del nombre del directorio.
.TP
.I \-\-restrict\-section sección*
\fBmodconf\fR sólo trabaja sobre la sección especificada de
.I /lib/modules
.TP
.I \-\-exclude\-section sección*
\fBmodconf\fR no trabaja sobre la sección especificada de
.I /lib/modules
.br

Las secciones disponibles en el momento de escribir este documento son:
.B block
.B cdrom
.B fs
.B ipv4
.B ipv6
.B misc
.B net
.B scsi
(Puede que halla otras si tiene instalados paquetes con módulos especiales, como
pcmcia\-modules).
.TP
.I \-\-load\-before módulo*
Indica que un módulo debe cargarse \fBantes\fR que el resto.
.TP
.I \-\-load\-only módulo*
Especifica que \fBmódulo\fR se cargue después de todos los módulos indicados con
la opción \fB\-\-load\-before\fR. Deshabilita el modo interactivo.
.TP
.I \-\-load\-after módulo*
Especifica que \fBmódulo\fR se cargue después de todos los módulos indicados con
la opción \fB\-\-load\-before\fR.
.br
La opción anterior tiene
.B preferencia
sobre ésta.
.SH EJEMPLOS
.PP
Los siguientes ejemplos \fBno han sido probados\fR.
.TP
modconf \-\-load\-only plip \-\-load\-before ip_masq_ftp \-\-load\-only appletalk
.TP
Carga los módulos "ip_masq_ftp", "plip" y "appletalk", en ese orden, y no
ejecuta el programa interactivo.
.SH AUTOR
.B modconf
fue escrito originalmente por Bruce Perens <bruce@pixar.com>.
.br
Sven Rudolph <sr1@inf.tu\-dresden.de> realizó cambios significativos.
.br
Enrique Zanardi <ezanardi@ull.es> también realizó algunos cambios,
.br
así como Randolph Chung <tausq@debian.org>
.br
Esta página del manual fue escrita por Antonio Vieiro Varela
<antonio@faraday.usc.es>.
.SH FALLOS
Ninguno conocido.
.SH VÉASE ADEMÁS
\fBinsmod\fP(1), \fBmodprobe\fP(1), \fBdepmod\fP(1), \fBlsmod\fP(1),
\fBrmmod\fP(1), \fBmodules\fP(2), \fBkerneld\fP(8).
.SH TRADUCTOR
Traducción de Rubén Porras Campo <debian\-l10n\-spanish@lists.debian.org>
