.\" Relecture Gérard Delafond
.\" dummy line
.TH MODCONF 8 "10 Mars 1998" Linux "Debian Module Support"
.UC 4
.SH NOM
modconf \- un utilitaire de configuration de module
.SH SYNOPSIS
.B modconf
[\-\-source [floppy|mounted]]
[\-\-target destination]
[\-\-libdir chemin]
[\-\-restrict\-section section]*
[\-\-exclude\-section section]*
[\-\-load\-before module]*
[\-\-load\-only module]*
[\-\-load\-after module]*
.br
.SH DESCRIPTION
.I modconf
est un script pour installer des modules du noyau Linux. Il peut être utilisé
interactivement (mode graphique) ou à partir de la ligne de commande (mode
batch)..
.SH OPTIONS
Les options  référencées avec un "*" ci-dessous sont appliquées seulement à un
module. Si vous
voulez les appliquer à plus d'un module, répétez alors l'option dans la ligne
de commande. 
.TP
.I \-\-source floppy|mounted
Indique d'où les modules doivent être obtenus. 
\fBfloppy\fR est utilisé lors de l'installation de GNU/Linux.
\fBmounted\fR est utilisé sur les systèmes GNU/Linux déjà installés. 
C'est l'option par défaut.
.TP
.I \-\-target répertoire 
Spécifie le répertoire sous lequel 
.I etc/modules
et
.I etc/modules.conf
 sont localisés (par défaut\ : / ). N'incluez pas de 
«\ /\ » final après le nom du répertoire.
.TP
.I \-\-libdir chemin
Indique où les fichiers
.I eval
et
.I descr.gz
sont localisés sur le système (par défaut\ : /usr/share/modconf). 
N'incluez pas de 
«\ /\ » final après le nom du répertoire.
.TP
.I \-\-restrict\-section section*
Restreint \fBmodconf\fR pour qu'il travaille simplement avec la section
spécifiée de 
.I /lib/modules
.TP
.I \-\-exclude\-section section*
Force \fBmodconf\fR à ne pas travailler avec la section spécifiée de  
.I /lib/modules
.br

Sections disponibles à l'écriture de cette page de manuel\ :
.B block
.B cdrom
.B fs
.B ipv4
.B ipv6
.B misc
.B net
.B scsi
(Il peut y en avoir d'autres si vous avez installé des paquets avec modules
spéciaux, comme pcmcia-modules).
.TP
.I \-\-load\-before module*
indique un module qui sera
inséré \fBavant\fR tous les autres.
.TP
.I \-\-load\-only module*
spécifie un \fBmodule\fR qui doit être inséré après
tous ceux indiqués avec l'option \fB\-\-load\-before\fR . 
Rend le mode interactif inopérant.
.TP
.I \-\-load\-after module*
spécifie un \fBmodule\fR qui doit être inséré après
tous ceux indiqués avec l'option \fB\-\-load\-before\fR .
.br
Cette option est
.B écrasée
par la précédente.
.SH EXEMPLES
.PP
Les exemples ci-dessous \fB n'ont pas\fR été testés.
.TP
modconf \-\-load\-only plip \-\-load\-before ip_masq_ftp \-\-load\-only appletalk
.TP
Insère les modules «\ ip_masq_ftp\ », «\ plip\ » et «\ appletalk\ », dans cet
ordre, et et ne lance pas le programme interactif.
.SH AUTEURS
.B modconf
a été originellement écrit par Bruce Perens <bruce@pixar.com>.
.br
Des changements majeurs ont été faits par Sven Rudolph <sr1@inf.tu\-dresden.de>.
.br
Plus de changements faits par Enrique Zanardi <ezanardi@ull.es>.
.br
Et plus par Randolph Chung <tausq@debian.org>
.br
Cette page de manuel a été écrite par Antonio Vieiro Varela
<antonio@faraday.usc.es>.
.SH BOGUES
Aucun connu.
.SH VOIR AUSSI
\fBinsmod\fP(1), \fBmodprobe\fP(1), \fBdepmod\fP(1), \fBlsmod\fP(1),
\fBrmmod\fP(1), \fBmodules\fP(2), \fBkerneld\fP(8).
.SH TRADUCTION
Richard Bonichon <richard.bonichon@free.fr>
