.\" dummy line
.TH MODCONF 8 "10 marca 1998" Linux "Obsługa modułów w Debianie"
.UC 4
.SH NAZWA
modconf \- narzędzie konfiguracji modułów
.SH SKŁADNIA
.B modconf
[\-\-source [floppy|mounted]]
[\-\-target miejsce_przeznaczenia]
[\-\-libdir ścieżka]
[\-\-restrict\-section dział]*
[\-\-exclude\-section dział]*
[\-\-load\-before moduł]*
[\-\-load\-only moduł]*
[\-\-load\-after moduł]*
.br
.SH OPIS
.I modconf
to skrypt służący do instalacji modułów jądra Linux. Można go używać
interaktywnie (tryb GUI), lub z linii komend (tryb wsadowy).
.SH OPCJE
Opcje zaznaczone poniżej "*" są stosowane wobec tylko jednego modułu.
Jeśli chcesz zastosowac je wobec wiekszej ilości modułów, powtórz opcję
na linii komend.
.TP
.I \-\-source floppy|mounted
Wskazuje skąd mają zostać pobrane moduły. Opcja \fBfloppy\fR (dyskietka) jest
używana przy instalacji Linuksa. Opcja \fBmounted\fR jest używana przy
zainstalowanym już systemie i jest ona stosowana domyślnie.
.TP
.I \-\-target katalog 
Określa gdzie w systemie znajdują się pliki 
.I etc/modules
i
.I etc/modules.conf
(domyślnie: / ). Nazwy katalogu nie należy konczyć znakiem "/".
.TP
.I \-\-libdir ścieżka
Określa gdzie w systemie znajdują się pliki
.I eval
i
.I descr.gz
(domyślnie: /usr/share/modconf). Nazwy katalogu nie należy konczyć znakiem "/".
.TP
.I \-\-restrict\-section dział*
ogranicza program \fBmodconf\fR wyłącznie do określonego działu 
.I /lib/modules
.TP
.I \-\-exclude\-section dział*
zmusza program \fBmodconf\fR do zignorowania danego działu 
.I /lib/modules
.br

Dostępne w czasie pisania tego dokumentu działy to:
.B block
.B cdrom
.B fs
.B ipv4
.B ipv6
.B misc
.B net
.B scsi
(mogą być tam także inne działy w przypadku zainstalowania pakietów ze
specjalnymi modułami, np. pcmcia-modules).
.TP
.I \-\-load\-before moduł*
dany \fBmoduł\fR ma zostać załadowany \fBprzed\fR wszystkimi innymi.
.TP
.I \-\-load\-only moduł*
dany \fBmoduł\fR ma zostać załadowany po podanych opcją \fB\-\-load\-before\fR.
Wyłącza tryb interaktywny.
.TP
.I \-\-load\-after moduł*
dany \fBmoduł\fR ma zostać załadowany po podanych opcją \fB\-\-load\-before\fR.
.br
Ta opcja zostaje 
.B zignorowana
w przypadku podania również poprzedniej opcji.
.SH PRZYKŁADY
.PP
Poniższe przykłady \fBnie zostały przetestowane\fR
.TP
modconf \-\-load\-only plip \-\-load\-before ip_masq_ftp \-\-load\-only appletalk
.TP
Ładuje moduły "ip_masq_ftp", "plip" oraz "appletalk", w takiej kolejności, i nie uruchamia programu interaktywnego.
.SH AUTOR
.B modconf
został napisany przez Bruce'a Perens'a <bruce@pixar.com>.
.br
Duże zmiany wprowadził Sven Rudolph <sr1@inf.tu\-dresden.de>.
.br
Więcej zmian wprowadził Enrique Zanardi <ezanardi@ull.es>.
.br
I jeszcze trochę \- Randolph Chung <tausq@debian.org>.
.P
Ta strona podręcznika została napisana przez Antonio Vieiro Varela
<antonio@faraday.usc.es>, a przetłumaczona na język polski przez Marcina
Owsianego <porridge@debian.org>.
.SH BŁĘDY
Brak znanych.
.SH PATRZ TEŻ
\fBinsmod\fP(1), \fBmodprobe\fP(1), \fBdepmod\fP(1), \fBlsmod\fP(1),
\fBrmmod\fP(1), \fBmodules\fP(2), \fBkerneld\fP(8).
